package com.sckw.slope.detection.dao.mysql;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.sckw.slope.detection.model.dos.mysql.KwsReportData;
import com.sckw.slope.detection.model.param.StatementQuery;
import com.sckw.slope.detection.model.vo.ReportStatementVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
@DS("mysql")
public interface KwsReportDataMapper extends BaseMapper<KwsReportData> {
    int deleteByPrimaryKey(Long id);

    int insert(KwsReportData record);

    int insertSelective(KwsReportData record);

    KwsReportData selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(KwsReportData record);

    int updateByPrimaryKey(KwsReportData record);

    List<ReportStatementVO> selectListByReportNameAndProjectId(@Param("query") StatementQuery query, @Param("mountainId") String mountainId);
}